SuSE 11.2 Security Update : libwebkit (SAT Patch Number 7114)

critical Nessus Plugin ID 64202
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

Two issues in libwebkit have been fixed :

- Webkit CSS Text Element Count remote code execution was fixed. (CVE-2011-1290)

- WebKit WBR Tag Removal remote code execution was fixed.
(CVE-2011-1344)

Solution

Apply SAT patch number 7114.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=688701

https://bugzilla.novell.com/show_bug.cgi?id=688702

http://support.novell.com/security/cve/CVE-2011-1290.html

http://support.novell.com/security/cve/CVE-2011-1344.html

Plugin Details

Severity: Critical

ID: 64202

File Name: suse_11_libwebkit-121201.nasl

Version: 1.4

Type: local

Agent: unix

Published: 1/25/2013

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Critical

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libwebkit-1_0-2, p-cpe:/a:novell:suse_linux:11:libwebkit-lang, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 12/1/2012

Reference Information

CVE: CVE-2011-1290, CVE-2011-1344